[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.NormalizeRows

Orders visible bands on the control by their coordinates, and hides empty rows.

## Declaration

Source position: extctrls.pp line 1643

`protected procedure TCustomControlBar.NormalizeRows;`

## Description

Shifts the order of visible bands on the control so the Top coordinates in the bands are in ascending order. Blank rows on the control are removed so that all band rows are adjacent with no unused space between rows. Space is reserved for an inner bevel displayed for the band rows on the control.

## See also

TCustomControlBar.RowSize |  | Height used for a band or a row of bands displayed on the control bar.
TCtrlBand.Top |  | Contains the Top position for the band.
TCtrlBand.Bottom |  | Position of the bottom of the band control.